elm::sys_notify_interface Struct Reference

Public Member Functions
elm::sys_notify_interface Struct Reference

Class sys_notify_interface. More...

## Public Member Functions
| sys_notify_interface (Eo *eo)
| Eo Constructor. More...
| sys_notify_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| sys_notify_interface (sys_notify_interface const &other)
| Copy Constructor.
void | send (unsigned int replaces_id_, ::efl::eina::string_view icon_, ::efl::eina::string_view summary_, ::efl::eina::optional< ::efl::eina::string_view > body_, Elm_Sys_Notify_Urgency urgency_, int timeout_, Elm_Sys_Notify_Send_Cb cb_, const void *cb_data_) const
void | simple_send (::efl::eina::string_view icon_, ::efl::eina::string_view summary_, ::efl::eina::string_view body_) const
void | close (unsigned int id_) const
| sys_notify_interface (::efl::eo::parent_type _p)
| Constructs a new elm::sys_notify_interface object. More...

## Detailed Description

Class sys_notify_interface.

## Constructor & Destructor Documentation

## ◆ sys_notify_interface() [1/3]

elm::sys_notify_interface::sys_notify_interface | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::sys_notify_interface object.

Constructs a new elm::sys_notify_interface object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::sys_notify_interface my_sys_notify_interface(efl::eo::parent = parent_object);

See also
  sys_notify_interface(Eo* eo)

## ◆ sys_notify_interface() [2/3]

elm::sys_notify_interface::sys_notify_interface | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ sys_notify_interface() [3/3]

elm::sys_notify_interface::sys_notify_interface | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ close()

void elm::sys_notify_interface::close | ( | unsigned int | id_ | ) | const

Parameters

  id |

## ◆ send()

void elm::sys_notify_interface::send | ( | unsigned int | replaces_id_,
|  | ::efl::eina::string_view | icon_,
|  | ::efl::eina::string_view | summary_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | body_,
|  | Elm_Sys_Notify_Urgency | urgency_,
|  | int | timeout_,
|  | Elm_Sys_Notify_Send_Cb | cb_,
|  | const void * | cb_data_
| ) |  | const

Parameters

  replaces_id |
  icon |
  summary |
  body |
  urgency |
  timeout |
  cb |
  cb_data |

## ◆ simple_send()

void elm::sys_notify_interface::simple_send | ( | ::efl::eina::string_view | icon_,
|  | ::efl::eina::string_view | summary_,
|  | ::efl::eina::string_view | body_
| ) |  | const

Parameters

  icon |
  summary |
  body |